Changeset 1967 for trunk/Cbc


Ignore:
Timestamp:
Oct 15, 2013 9:52:08 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1960 r1967  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-cbc compile project Cbc with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19501947
    19511948# Get the name of the C++ compiler and appropriate compiler options
    1952 case $build in
     1949
     1950
     1951  # for backward compatibility
     1952  # Check whether --enable-doscompile or --disable-doscompile was given.
     1953if test "${enable_doscompile+set}" = set; then
     1954  enableval="$enable_doscompile"
     1955  enable_doscompile=$enableval
     1956else
     1957  enable_doscompile=no
     1958fi;
     1959
     1960  # Check whether --enable-msvc or --disable-msvc was given.
     1961if test "${enable_msvc+set}" = set; then
     1962  enableval="$enable_msvc"
     1963  enable_msvc=$enableval
     1964else
     1965  enable_msvc=no
     1966     if test "$enable_doscompile" = msvc ; then
     1967       enable_msvc=yes
     1968     elif test "$enable_doscompile" != no ; then
     1969       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1970echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1971   { (exit 1); exit 1; }; }
     1972     fi
     1973
     1974fi;
     1975
     1976  if test "$enable_msvc" = yes; then
     1977    case $build in
     1978      *-cygwin* | *-mingw*) ;;
     1979      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1980echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1981   { (exit 1); exit 1; }; } ;;
     1982    esac
     1983  fi
     1984
     1985
     1986 case $build in
    19531987  *-mingw*)
    19541988    if test "${LD+set}" = set; then :; else
     
    19571991    ;;
    19581992 esac
    1959  case $enable_doscompile in
    1960    msvc)
    1961      if test "x${LD+set}" = xset; then :; else
    1962        LD=link
    1963      fi
    1964      ;;
    1965  esac
    1966 
    1967 
    1968  # Check whether --enable-doscompile or --disable-doscompile was given.
    1969 if test "${enable_doscompile+set}" = set; then
    1970   enableval="$enable_doscompile"
    1971   if test "$enable_doscompile" != no; then
    1972      case $build in
    1973        *-cygwin* | *-mingw*) ;;
    1974        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1975 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1993 if test $enable_msvc = yes ; then
     1994   if test "x${LD+set}" = xset; then :; else
     1995     LD=link
     1996   fi
     1997 fi
     1998
     1999
     2000# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     2001if test "${enable_static_standardlibs+set}" = set; then
     2002  enableval="$enable_static_standardlibs"
     2003  case "$enableval" in
     2004     no | yes | auto ) ;;
     2005     *)
     2006       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     2007echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19762008   { (exit 1); exit 1; }; } ;;
    1977      esac
    1978    fi
    1979 else
    1980   enable_doscompile=no
     2009   esac
     2010   use_static_standardlibs=$enableval
     2011else
     2012  use_static_standardlibs=no
    19812013fi;
    1982  case "$enable_doscompile" in
    1983    mingw)
    1984      case $build in
    1985        *-mingw*) enable_doscompile=no ;;
    1986      esac
    1987      ;;
    1988    msvc|no) ;;
    1989    yes) enable_doscompile=mingw ;;
    1990    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1991                     Try configure --help=recursive." >&5
    1992 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1993                     Try configure --help=recursive." >&2;}
    1994    { (exit 1); exit 1; }; }
    1995       ;;
    1996   esac
    1997   if test "$enable_doscompile" != no ; then
    1998     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1999 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    2000   fi
     2014
    20012015
    20022016
     
    20412055case $build in
    20422056  *-cygwin* | *-mingw*)
    2043              if test "$enable_doscompile" = msvc ; then
    2044                comps="icl cl"
     2057             if test "$enable_msvc" = yes ; then
     2058               comps="icl cl gcc"
    20452059             else
    2046                comps="gcc cl"
     2060               comps="gcc icl cl"
    20472061             fi ;;
    20482062  *-*-solaris*)
     
    28972911            ;;
    28982912        esac
    2899         case $enable_doscompile in
    2900           mingw)
    2901             CFLAGS="-mno-cygwin"
    2902             cat >conftest.$ac_ext <<_ACEOF
    2903 /* confdefs.h.  */
    2904 _ACEOF
    2905 cat confdefs.h >>conftest.$ac_ext
    2906 cat >>conftest.$ac_ext <<_ACEOF
    2907 /* end confdefs.h.  */
    2908 
    2909 int
    2910 main ()
    2911 {
    2912 int i=0; i++;
    2913   ;
    2914   return 0;
    2915 }
    2916 _ACEOF
    2917 rm -f conftest.$ac_objext conftest$ac_exeext
    2918 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2919   (eval $ac_link) 2>conftest.er1
    2920   ac_status=$?
    2921   grep -v '^ *+' conftest.er1 >conftest.err
    2922   rm -f conftest.er1
    2923   cat conftest.err >&5
    2924   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2925   (exit $ac_status); } &&
    2926          { ac_try='test -z "$ac_c_werror_flag"
    2927                          || test ! -s conftest.err'
    2928   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2929   (eval $ac_try) 2>&5
    2930   ac_status=$?
    2931   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2932   (exit $ac_status); }; } &&
    2933          { ac_try='test -s conftest$ac_exeext'
    2934   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2935   (eval $ac_try) 2>&5
    2936   ac_status=$?
    2937   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2938   (exit $ac_status); }; }; then
    2939   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2940 else
    2941   echo "$as_me: failed program was:" >&5
    2942 sed 's/^/| /' conftest.$ac_ext >&5
    2943 
    2944 fi
    2945 rm -f conftest.err conftest.$ac_objext \
    2946       conftest$ac_exeext conftest.$ac_ext
    2947             CFLAGS=
    2948           ;;
    2949         esac
    29502913    esac
    29512914  fi
     
    31383101    CFLAGS="$OPT_CFLAGS"
    31393102  fi
     3103
    31403104else
    31413105  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32883252  clang* ) ;;
    32893253  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3290     case $build in
     3254
     3255 case $build in
    32913256  *-mingw*)
    32923257    if test "${LD+set}" = set; then :; else
     
    32953260    ;;
    32963261 esac
    3297  case $enable_doscompile in
    3298    msvc)
    3299      if test "x${LD+set}" = xset; then :; else
    3300        LD=link
    3301      fi
    3302      ;;
    3303  esac
     3262 if test $enable_msvc = yes ; then
     3263   if test "x${LD+set}" = xset; then :; else
     3264     LD=link
     3265   fi
     3266 fi
    33043267
    33053268    ;;
    33063269esac
     3270
     3271# check whether to add flags for static linking against standard libraries to LDFLAGS
     3272if test x$use_static_standardlibs != xno ; then
     3273  case $build in
     3274    *-mingw*)
     3275      static_standardlib_flag=-static
     3276      ;;
     3277    *)
     3278      static_standardlib_flag=-static-libgcc
     3279      ;;
     3280  esac
     3281  case " $LDFLAGS " in
     3282    *" $static_standardlib_flag "* ) ;;
     3283    *)
     3284    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3285echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3286    coin_save_LDFLAGS="$LDFLAGS"
     3287    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3288    cat >conftest.$ac_ext <<_ACEOF
     3289/* confdefs.h.  */
     3290_ACEOF
     3291cat confdefs.h >>conftest.$ac_ext
     3292cat >>conftest.$ac_ext <<_ACEOF
     3293/* end confdefs.h.  */
     3294
     3295int
     3296main ()
     3297{
     3298int i=0;
     3299  ;
     3300  return 0;
     3301}
     3302_ACEOF
     3303rm -f conftest.$ac_objext conftest$ac_exeext
     3304if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3305  (eval $ac_link) 2>conftest.er1
     3306  ac_status=$?
     3307  grep -v '^ *+' conftest.er1 >conftest.err
     3308  rm -f conftest.er1
     3309  cat conftest.err >&5
     3310  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3311  (exit $ac_status); } &&
     3312         { ac_try='test -z "$ac_c_werror_flag"
     3313                         || test ! -s conftest.err'
     3314  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3315  (eval $ac_try) 2>&5
     3316  ac_status=$?
     3317  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3318  (exit $ac_status); }; } &&
     3319         { ac_try='test -s conftest$ac_exeext'
     3320  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3321  (eval $ac_try) 2>&5
     3322  ac_status=$?
     3323  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3324  (exit $ac_status); }; }; then
     3325  echo "$as_me:$LINENO: result: yes" >&5
     3326echo "${ECHO_T}yes" >&6
     3327else
     3328  echo "$as_me: failed program was:" >&5
     3329sed 's/^/| /' conftest.$ac_ext >&5
     3330
     3331echo "$as_me:$LINENO: result: no" >&5
     3332echo "${ECHO_T}no" >&6
     3333       LDFLAGS="$coin_save_LDFLAGS"
     3334       if test $use_static_standardlibs = yes ; then
     3335         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3336echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3337   { (exit 1); exit 1; }; }
     3338       fi
     3339
     3340fi
     3341rm -f conftest.err conftest.$ac_objext \
     3342      conftest$ac_exeext conftest.$ac_ext
     3343    ;;
     3344  esac
     3345fi
    33073346
    33083347ac_ext=c
     
    33163355 #Let's try if that overcomes configuration problem with VC++ 6.0
    33173356
     3357
    33183358ac_ext=cc
    33193359ac_cpp='$CXXCPP $CPPFLAGS'
     
    33343374case $build in
    33353375  *-cygwin* | *-mingw*)
    3336              if test "$enable_doscompile" = msvc ; then
    3337                comps="icl cl"
    3338              else
    3339                comps="g++ cl"
    3340              fi ;;
     3376      if test "$enable_msvc" = yes ; then
     3377         comps="icl cl g++"
     3378      else
     3379         comps="g++ icl cl"
     3380      fi ;;
    33413381  *-*-solaris*)
    33423382             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38463886            ;;
    38473887        esac
    3848 
    3849         case $enable_doscompile in
    3850           mingw)
    3851             CXXFLAGS="-mno-cygwin"
    3852             cat >conftest.$ac_ext <<_ACEOF
    3853 /* confdefs.h.  */
    3854 _ACEOF
    3855 cat confdefs.h >>conftest.$ac_ext
    3856 cat >>conftest.$ac_ext <<_ACEOF
    3857 /* end confdefs.h.  */
    3858 
    3859 int
    3860 main ()
    3861 {
    3862 int i=0; i++;
    3863   ;
    3864   return 0;
    3865 }
    3866 _ACEOF
    3867 rm -f conftest.$ac_objext conftest$ac_exeext
    3868 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3869   (eval $ac_link) 2>conftest.er1
    3870   ac_status=$?
    3871   grep -v '^ *+' conftest.er1 >conftest.err
    3872   rm -f conftest.er1
    3873   cat conftest.err >&5
    3874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3875   (exit $ac_status); } &&
    3876          { ac_try='test -z "$ac_cxx_werror_flag"
    3877                          || test ! -s conftest.err'
    3878   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3879   (eval $ac_try) 2>&5
    3880   ac_status=$?
    3881   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3882   (exit $ac_status); }; } &&
    3883          { ac_try='test -s conftest$ac_exeext'
    3884   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3885   (eval $ac_try) 2>&5
    3886   ac_status=$?
    3887   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3888   (exit $ac_status); }; }; then
    3889   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3890 else
    3891   echo "$as_me: failed program was:" >&5
    3892 sed 's/^/| /' conftest.$ac_ext >&5
    3893 
    3894 fi
    3895 rm -f conftest.err conftest.$ac_objext \
    3896       conftest$ac_exeext conftest.$ac_ext
    3897             CXXFLAGS=
    3898           ;;
    3899         esac
    39003888    esac
    39013889  fi
     
    42494237  clang* ) ;;
    42504238  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4251     case $build in
     4239
     4240 case $build in
    42524241  *-mingw*)
    42534242    if test "${LD+set}" = set; then :; else
     
    42564245    ;;
    42574246 esac
    4258  case $enable_doscompile in
    4259    msvc)
    4260      if test "x${LD+set}" = xset; then :; else
    4261        LD=link
    4262      fi
    4263      ;;
    4264  esac
     4247 if test $enable_msvc = yes ; then
     4248   if test "x${LD+set}" = xset; then :; else
     4249     LD=link
     4250   fi
     4251 fi
    42654252
    42664253    ;;
    42674254esac
     4255
     4256# check whether to add flag for static linking against standard libraries to LDFLAGS
     4257if test x$use_static_standardlibs != xno ; then
     4258  case $build in
     4259    *-mingw*)
     4260      static_standardlib_flag=-static
     4261      ;;
     4262    *)
     4263      static_standardlib_flag=-static-libstdc++
     4264      ;;
     4265  esac
     4266  case " $LDFLAGS " in
     4267    *" $static_standardlib_flag "* ) ;;
     4268    *)
     4269    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4270echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4271    coin_save_LDFLAGS="$LDFLAGS"
     4272    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4273    cat >conftest.$ac_ext <<_ACEOF
     4274/* confdefs.h.  */
     4275_ACEOF
     4276cat confdefs.h >>conftest.$ac_ext
     4277cat >>conftest.$ac_ext <<_ACEOF
     4278/* end confdefs.h.  */
     4279
     4280int
     4281main ()
     4282{
     4283int i=0;
     4284  ;
     4285  return 0;
     4286}
     4287_ACEOF
     4288rm -f conftest.$ac_objext conftest$ac_exeext
     4289if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4290  (eval $ac_link) 2>conftest.er1
     4291  ac_status=$?
     4292  grep -v '^ *+' conftest.er1 >conftest.err
     4293  rm -f conftest.er1
     4294  cat conftest.err >&5
     4295  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4296  (exit $ac_status); } &&
     4297         { ac_try='test -z "$ac_cxx_werror_flag"
     4298                         || test ! -s conftest.err'
     4299  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4300  (eval $ac_try) 2>&5
     4301  ac_status=$?
     4302  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4303  (exit $ac_status); }; } &&
     4304         { ac_try='test -s conftest$ac_exeext'
     4305  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4306  (eval $ac_try) 2>&5
     4307  ac_status=$?
     4308  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4309  (exit $ac_status); }; }; then
     4310  echo "$as_me:$LINENO: result: yes" >&5
     4311echo "${ECHO_T}yes" >&6
     4312else
     4313  echo "$as_me: failed program was:" >&5
     4314sed 's/^/| /' conftest.$ac_ext >&5
     4315
     4316echo "$as_me:$LINENO: result: no" >&5
     4317echo "${ECHO_T}no" >&6
     4318       LDFLAGS="$coin_save_LDFLAGS"
     4319       if test $use_static_standardlibs = yes ; then
     4320         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4321echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4322   { (exit 1); exit 1; }; }
     4323       fi
     4324
     4325fi
     4326rm -f conftest.err conftest.$ac_objext \
     4327      conftest$ac_exeext conftest.$ac_ext
     4328    ;;
     4329  esac
     4330fi
    42684331
    42694332ac_ext=c
     
    60356098*-*-irix6*)
    60366099  # Find out which ABI we are using.
    6037   echo '#line 6037 "configure"' > conftest.$ac_ext
     6100  echo '#line 6100 "configure"' > conftest.$ac_ext
    60386101  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60396102  (eval $ac_compile) 2>&5
     
    71697232
    71707233# Provide some information about the compiler.
    7171 echo "$as_me:7171:" \
     7234echo "$as_me:7234:" \
    71727235     "checking for Fortran 77 compiler version" >&5
    71737236ac_compiler=`set X $ac_compile; echo $2`
     
    82368299   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82378300   -e 's:$: $lt_compiler_flag:'`
    8238    (eval echo "\"\$as_me:8238: $lt_compile\"" >&5)
     8301   (eval echo "\"\$as_me:8301: $lt_compile\"" >&5)
    82398302   (eval "$lt_compile" 2>conftest.err)
    82408303   ac_status=$?
    82418304   cat conftest.err >&5
    8242    echo "$as_me:8242: \$? = $ac_status" >&5
     8305   echo "$as_me:8305: \$? = $ac_status" >&5
    82438306   if (exit $ac_status) && test -s "$ac_outfile"; then
    82448307     # The compiler can only warn and ignore the option if not recognized
     
    85048567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85058568   -e 's:$: $lt_compiler_flag:'`
    8506    (eval echo "\"\$as_me:8506: $lt_compile\"" >&5)
     8569   (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
    85078570   (eval "$lt_compile" 2>conftest.err)
    85088571   ac_status=$?
    85098572   cat conftest.err >&5
    8510    echo "$as_me:8510: \$? = $ac_status" >&5
     8573   echo "$as_me:8573: \$? = $ac_status" >&5
    85118574   if (exit $ac_status) && test -s "$ac_outfile"; then
    85128575     # The compiler can only warn and ignore the option if not recognized
     
    86088671   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86098672   -e 's:$: $lt_compiler_flag:'`
    8610    (eval echo "\"\$as_me:8610: $lt_compile\"" >&5)
     8673   (eval echo "\"\$as_me:8673: $lt_compile\"" >&5)
    86118674   (eval "$lt_compile" 2>out/conftest.err)
    86128675   ac_status=$?
    86138676   cat out/conftest.err >&5
    8614    echo "$as_me:8614: \$? = $ac_status" >&5
     8677   echo "$as_me:8677: \$? = $ac_status" >&5
    86158678   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86168679   then
     
    1095311016  lt_status=$lt_dlunknown
    1095411017  cat > conftest.$ac_ext <<EOF
    10955 #line 10955 "configure"
     11018#line 11018 "configure"
    1095611019#include "confdefs.h"
    1095711020
     
    1105311116  lt_status=$lt_dlunknown
    1105411117  cat > conftest.$ac_ext <<EOF
    11055 #line 11055 "configure"
     11118#line 11118 "configure"
    1105611119#include "confdefs.h"
    1105711120
     
    1339713460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1339813461   -e 's:$: $lt_compiler_flag:'`
    13399    (eval echo "\"\$as_me:13399: $lt_compile\"" >&5)
     13462   (eval echo "\"\$as_me:13462: $lt_compile\"" >&5)
    1340013463   (eval "$lt_compile" 2>conftest.err)
    1340113464   ac_status=$?
    1340213465   cat conftest.err >&5
    13403    echo "$as_me:13403: \$? = $ac_status" >&5
     13466   echo "$as_me:13466: \$? = $ac_status" >&5
    1340413467   if (exit $ac_status) && test -s "$ac_outfile"; then
    1340513468     # The compiler can only warn and ignore the option if not recognized
     
    1350113564   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1350213565   -e 's:$: $lt_compiler_flag:'`
    13503    (eval echo "\"\$as_me:13503: $lt_compile\"" >&5)
     13566   (eval echo "\"\$as_me:13566: $lt_compile\"" >&5)
    1350413567   (eval "$lt_compile" 2>out/conftest.err)
    1350513568   ac_status=$?
    1350613569   cat out/conftest.err >&5
    13507    echo "$as_me:13507: \$? = $ac_status" >&5
     13570   echo "$as_me:13570: \$? = $ac_status" >&5
    1350813571   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1350913572   then
     
    1507115134   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1507215135   -e 's:$: $lt_compiler_flag:'`
    15073    (eval echo "\"\$as_me:15073: $lt_compile\"" >&5)
     15136   (eval echo "\"\$as_me:15136: $lt_compile\"" >&5)
    1507415137   (eval "$lt_compile" 2>conftest.err)
    1507515138   ac_status=$?
    1507615139   cat conftest.err >&5
    15077    echo "$as_me:15077: \$? = $ac_status" >&5
     15140   echo "$as_me:15140: \$? = $ac_status" >&5
    1507815141   if (exit $ac_status) && test -s "$ac_outfile"; then
    1507915142     # The compiler can only warn and ignore the option if not recognized
     
    1517515238   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517615239   -e 's:$: $lt_compiler_flag:'`
    15177    (eval echo "\"\$as_me:15177: $lt_compile\"" >&5)
     15240   (eval echo "\"\$as_me:15240: $lt_compile\"" >&5)
    1517815241   (eval "$lt_compile" 2>out/conftest.err)
    1517915242   ac_status=$?
    1518015243   cat out/conftest.err >&5
    15181    echo "$as_me:15181: \$? = $ac_status" >&5
     15244   echo "$as_me:15244: \$? = $ac_status" >&5
    1518215245   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1518315246   then
     
    1738217445   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1738317446   -e 's:$: $lt_compiler_flag:'`
    17384    (eval echo "\"\$as_me:17384: $lt_compile\"" >&5)
     17447   (eval echo "\"\$as_me:17447: $lt_compile\"" >&5)
    1738517448   (eval "$lt_compile" 2>conftest.err)
    1738617449   ac_status=$?
    1738717450   cat conftest.err >&5
    17388    echo "$as_me:17388: \$? = $ac_status" >&5
     17451   echo "$as_me:17451: \$? = $ac_status" >&5
    1738917452   if (exit $ac_status) && test -s "$ac_outfile"; then
    1739017453     # The compiler can only warn and ignore the option if not recognized
     
    1765017713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1765117714   -e 's:$: $lt_compiler_flag:'`
    17652    (eval echo "\"\$as_me:17652: $lt_compile\"" >&5)
     17715   (eval echo "\"\$as_me:17715: $lt_compile\"" >&5)
    1765317716   (eval "$lt_compile" 2>conftest.err)
    1765417717   ac_status=$?
    1765517718   cat conftest.err >&5
    17656    echo "$as_me:17656: \$? = $ac_status" >&5
     17719   echo "$as_me:17719: \$? = $ac_status" >&5
    1765717720   if (exit $ac_status) && test -s "$ac_outfile"; then
    1765817721     # The compiler can only warn and ignore the option if not recognized
     
    1775417817   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1775517818   -e 's:$: $lt_compiler_flag:'`
    17756    (eval echo "\"\$as_me:17756: $lt_compile\"" >&5)
     17819   (eval echo "\"\$as_me:17819: $lt_compile\"" >&5)
    1775717820   (eval "$lt_compile" 2>out/conftest.err)
    1775817821   ac_status=$?
    1775917822   cat out/conftest.err >&5
    17760    echo "$as_me:17760: \$? = $ac_status" >&5
     17823   echo "$as_me:17823: \$? = $ac_status" >&5
    1776117824   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1776217825   then
     
    3052630589echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    3052730590coin_link_input_cmd="$LN_S"
    30528 if test "$enable_doscompile" = mingw; then
    30529   coin_link_input_cmd=cp
    30530 fi
    3053130591case "$CC" in
    3053230592  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.